import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'find_nearest_pair')

@points('3-7')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):

        data = [[1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1],
            [1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1],
            [1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1],
            [1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1],
            [1, 1, 1, 0, 1, 3, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1]]

        main(data)
        output = get_out()
        expected = ["(2, 3)", "(3, 2)"]
        self.assertIn(output, expected)

    def test_answer_two(self):

        data2 = [[1, 0, 0, 1, 0, 9, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1],
                [1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1],
                [1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1],
                [1, 1, 1, 0, 0, 0, 0, 5, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1],
                [1, 0, 0, 1, 1, 9, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 1]]
        main(data2)
        output = get_out()
        expected = ["(0, 4)", "(4, 0)"]
        self.assertIn(output, expected)




if __name__ == '__main__':
    unittest.main()
